@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");

* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  /* Color */
  --body-color: #090717;
  --primary-color:  #0d6efd;
  --primary-color-light: #f6f5ff;
  --card-color: #161326;
  --sidebar-color: var(--card-color);
  --toggle-color: #ddd;
  --src-border-color: #707070;
  --input-box-shadow: #257cc4;
  --card-hover: #1b1731;
  --nav-bottom-icon-color: #f6f5ff;
  --bg-scroll-bar: #e4e9f7;
  --thumb-color: #b1b1b1;
  --thumb-hover-color: #888;
  /* Color End */

  /* Text Color */
  --text-color: #707070;
  --text-color-light: #dee2e6;
  --text-color-white: #fff;
  --text-color-primary: var(--primary-color);
  /* Text Color */

  /* Transisi */
  --tran-02: all 0.2s ease;
  --tran-03: all 0.3s ease;
  --tran-04: all 0.4s ease;
  --tran-05: all 0.5s ease;
  /* Transisi End */
}

body {
  background-color: var(--body-color);
}

/* Tema */
body.blue {
  --primary-color: #0d6efd;
  --text-color-primary: var(--primary-color);
}
body.green {
  --primary-color: #198754;
  --text-color-primary: var(--primary-color);
}
body.red {
  --primary-color: #dc3545;
  --text-color-primary: var(--primary-color);
}
body.pink {
  --primary-color: #f33795;
  --text-color-primary: var(--primary-color);
}
body.orange {
  --primary-color: #fd7e14;
  --text-color-primary: var(--primary-color);
}
body.purple {
  --primary-color: #7F27FF;
  --text-color-primary: var(--primary-color);
}
/* Tema End */


/* Sidebar */
.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 300px;
  padding: 10px 14px;
  background: var(--sidebar-color);
  transition: var(--tran-05);
  z-index: 100;
}
.sidebar header .toggle {
  margin-top: 235px;
}
.sidebar.close {
  width: 88px;
}
.sidebar.close header .toggle {
  transform: translateY(-50%) rotate(180deg);
}
.sidebar.close .text {
  opacity: 0;
  display: none;
}

.sidebar .menu {
  margin-top: 35px;
}
.sidebar .text {
  font-size: 16px;
  font-weight: 500;
  color: var(--text-color);
  transition: var(--tran-03);
  white-space: nowrap;
  opacity: 1;
}
.sidebar .text .nav-text-color {
  color: var(--text-color-primary);
}
.sidebar .image {
  min-width: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.sidebar ul {
  margin-left: -32px;
}
.sidebar li {
  height: 50px;
  margin-top: 10px;
  list-style: none;
  display: flex;
  align-items: center;
}
.sidebar li .icon {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 60px;
  font-size: 20px;
}
.sidebar .account li .img {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 40px;
  font-size: 20px;
}

.sidebar li .icon,
.sidebar li .text {
  color: var(--text-color);
  transition: var(--tran-02);
}
.sidebar li a {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  text-decoration: none;
  border-radius: 10px 10px 10px 1px;
  transition: var(--tran-04);
}
.sidebar li a.active,
.sidebar li a.active .icon,
.sidebar li a.active .text {
  background-color: var(--primary-color);
  color: var(--text-color-light);
}
.sidebar .menu li a:hover {
  background: var(--primary-color);
}
.sidebar .menu li a:hover .icon,
.sidebar .menu li a:hover .text {
  color: var(--text-color-light);
}

.sidebar header {
  position: relative;
}
.sidebar header .image-text {
  display: flex;
  align-items: center;
}
header .image-text .header-text {
  display: flex;
  flex-direction: column;
}
.header-text .name {
  font-weight: 700;
}

.sidebar header .toggle {
  position: absolute;
  top: 50%;
  right: -25px;
  transform: translateY(-50%);
  height: 30px;
  width: 30px;
  background: var(--primary-color);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  color: var(--text-color-light);
  font-size: 22px;
  transition: var(--tran-03);
}

.sidebar.close ~ section.video {
  left: 88px;
  width: calc(100% - 88px);
}
/* Sidebar End */


/* Navbar */
#bg-nav {
  background-color: var(--sidebar-color);
}
.container-fluid .nav-text {
  color: var(--text-color);
}
.container-fluid .nav-text-color {
  color: var(--text-color-primary);
}
.container-fluid ul.navbar-nav.logo {
  margin-left: 20px;
}
.container-fluid ul.navbar-nav.logo.disabled {
  display: none;
}
.dropdown-menu.dropdown-menu-dark {
  background-color: var(--sidebar-color);
}
.dropdown-menu.dropdown-menu-dark .dropdown-item {
  color: var(--text-color);
}
.dropdown-menu.dropdown-menu-dark .dropdown-item:hover {
  color: var(--text-color-light);
}
.dropdown-menu.dropdown-menu-dark .dropdown-item:active {
  background-color: var(--primary-color);
}

.navbar.navbar-expand-mobile {
  display: flex !important;
  justify-content: space-between !important;
}

/* Sarch Nav */
.content {
  position: relative;
  display: flex;
}
#search::placeholder {
  color: var(--text-color);
}

@media (min-width: 200px) and (max-width: 767px) {
  .content {
    display: none;
  }
}
@media (max-width: 300px) {
  .navbar .container-fluid #navNameBrand {
    display: none;
  }
}
@media (min-width: 769px) {
  .navbar .container-fluid #search-nav {
    display: none;
  }
  .navbar .container-fluid #search-box {
    display: none;
  }
  .navbar #logo-nav-hp {
    display: none;
  }
  .navbar.navbar-expand-mobile {
    display: none;
  }
  .nav-bottom.fixed-bottom {
    display: none;
  }
}
@media (max-width: 768px) {
  #dropdown {
    display: none;
  }
  nav.navbar {
    position: fixed !important;
  }

  /* Search Handphone */
  .container-fluid #search-nav {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 35px;
    z-index: 10;
    cursor: pointer;
  }
  #navNameBrand {
    z-index: 210;
  }
  .icon {
    color: var(--text-color);
  }
  .container-fluid #search-box.active {
    opacity: 1;
  }
  #nav-search-btn.active {
    left: 0;
    opacity: 0;
  }
  #nav-close-btn.active {
    opacity: 1;
    visibility: visible;
    transition: var(--tran-05);
  }
  #logo-nav-hp.active {
    display: none;
    transition: 0.5s;
  }
  #navNameBrand.active {
    display: none;
    transition: 0.5s;
  }
  #nav-search-btn {
    position: relative;
    left: 10px;
    transition: 0.5s;
  }
  #nav-close-btn {
    opacity: 0;
    visibility: hidden;
    transition: var(--tran-05);
    scale: 1;
  }
  .container-fluid #search-box {
    position: absolute;
    display: flex;
    opacity: 0;
    left: 0;
    width: 100%;
    right: -100%;
    transition: 0.5s ease-in-out;
    padding: 0px;
    margin: 0px;
  }
  .container-fluid #search-box input {
    border: none;
    outline: none;
    height: 100%;
    width: 100%;
    background: var(--sidebar-color);
    color: var(--text-color-light);
  }
  .nav-item.search-box {
    display: flex;
    justify-items: center;
    align-items: center;
    /* border-bottom: 1px solid var(--src-border-color); */
  }
  .nav-item.search-box i {
    background: var(--sidebar-color);
    color: var(--text-color-light);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
  }
  /* Search Handphone End */
}
@media (width: 768px) {
  #search-nav {
    display: flex;
    margin-left: 300px;
  }
}
@media (min-width: 768px) {
  .content {
    width: auto;
    opacity: 1;
  }
}
@media (min-width: 992px) {
  .content {
    width: 500px;
    opacity: 1;
  }
}
.pass-logo {
  position: absolute;
  height: 35px;
  width: 38px;
  background: transparent;
  line-height: 35px;
  font-size: 15px;
  text-align: center;
  padding-top: 3px;
  padding-left: 15px;
}

.content .pass-logo i.bx {
  color: var(--text-color-light);
}

.content input {
  height: 100%;
  width: 100%;
  border: 1px solid var(--src-border-color);
  color: var(--text-color-light);
  border-radius: 20px;
  padding-left: 45px;
  outline: none;
  background: transparent;
}

input.form-control:focus {
  box-shadow: none;
  border-color: var(--primary-color);
  background: transparent;
  color: var(--text-color-light);
}
/* Search Nav End */
/* Navbar End */


/* Nav Bottom */
.nav-bottom {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 50px;
  background: var(--sidebar-color);
  position: fixed;
  border-radius: 10px 10px 0 0;
}
.nav-bottom ul {
  display: flex;
  width: 100%;
  padding: 0px !important;
}
.nav-bottom ul li {
  position: relative;
  margin-top: 30px;
  list-style: none;
  width: 100%;
  z-index: 1;
}
.nav-bottom ul li a {
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  text-align: center;
  font-weight: 500;
  text-decoration: none;
}
.nav-bottom ul li a i.bx {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 13px;
  font-size: 25px;
}
.nav-bottom ul li a span.icon {
  position: relative;
  display: block;
  text-align: center;
  transition: 0.5s;
  width: 60px;
  height: 60px;
  color: var(--text-color);
  border-radius: 50%;
}
.nav-bottom ul li.active a span.icon {
  transform: translateY(-25px);
  background: var(--primary-color);
  border: 4px solid var(--body-color);
}
.nav-bottom ul li.active a span.icon i {
  color: var(--nav-bottom-icon-color);
}
.nav-bottom ul li a .text {
  position: absolute;
  color: var(--text-color);
  font-weight: 400;
  font-size: 0.7em;
  letter-spacing: 0.05em;
  transition: 0.5s;
  opacity: 0;
}
.nav-bottom ul li.active a .text {
  opacity: 1;
  transform: translateY(5px);
}
/* Nav Bottom End */



/* Video */
.video {
  position: relative !important;
  left: 300px;
  width: calc(100% - 300px);
  background: var(--body-color);
  transition: var(--tran-05);
}
.container-video {
  padding: 0px;
  margin: 0px;
}
.container-video video {
  width: 100%;
}
.container-video .col:first-child {
  z-index: 10;
}
.container-video .col:nth-child(2) {
  padding: 0px 40px 10px 10px;
  height: calc(100svh - 11vh);
  overflow-y: auto;
  z-index: 1;
}

@media (max-width: 768px) {
  .container-video {
    position: relative;
    overflow-y: auto !important;
  }
  .container-video .col:nth-child(2) {
    height: max-content !important;
  }
}

iframe {
  aspect-ratio: 16/9 !important;
  position: relative;
  width: 100%;
}


.anime-header {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
  background-color: transparent;
  width: calc(100% - 300px);
  transition: var(--tran-05);
  pointer-events: none;
}
.sidebar.close~section.video .anime-header {
  left: 88px;
  width: calc(100% - 88px);
}
.anime-header .back {
  opacity: 1;
  visibility: visible;
  z-index: 9999;
  pointer-events: auto;
}
.anime-header .back i {
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50px;
  padding: 10px;
}
.anime-header::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 0;
  visibility: hidden;
  transition: var(--tran-05);
  z-index: -1;
}
.anime-header .anime-title .anime-title-nav {
  opacity: 0;
  visibility: hidden;
  transition: var(--tran-05);
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%;
}
.anime-header .anime-title .anime-title-nav.active {
  opacity: 1;
  visibility: visible;
}

section.video .anime-header.active::before {
  background-image: linear-gradient(to top,
      rgba(0, 0, 0, 0) 0%,
      rgba(0, 0, 0, 0.1) 3%,
      rgba(0, 0, 0, 0.2) 5%,
      rgba(0, 0, 0, 0.3) 10%,
      rgba(0, 0, 0, 0.4) 15%,
      rgba(0, 0, 0, 0.5) 20%,
      rgba(0, 0, 0, 0.7) 40%,
      rgba(0, 0, 0, 0.8) 60%,
      rgba(0, 0, 0, 0.9) 80%,
      rgba(0, 0, 0, 1) 100%);
  opacity: 1;
  visibility: visible;
}
section.video .anime-header.active .back i {
  background-color: transparent !important;
}

@media (max-width: 768px) {
  section.video .anime-header {
    position: fixed !important;
    top: 0;
    left: 0px !important;
    width: 100% !important;
    padding: 10px 0px !important;
    z-index: 9999 !important;
  }
}


/* episodes */
.container-video .episodes-container {
  display: flex;
  gap: 10px;
  padding: 15px 0px;
  overflow-x: auto;
  white-space: nowrap;
}
.container-video .episodes-container .episode:hover span,
.container-video .episodes-container .episode-link:hover span {
  background-color: var(--card-hover);
}
.container-video .episodes-container .episode span,
.container-video .episodes-container .episode-link span {
  display: flex;
  align-items: baseline;
  justify-content: center;
  background-color: var(--card-color);
  width: 100%;
  padding: 10px 20px;
  border-radius: 10px;
  color: var(--text-color-light);
}
.container-video .episodes-container .episode span i,
.container-video .episodes-container .episode-link span i {
  display: none;
}
.container-video .episodes-container .episode.active span,
.container-video .episodes-container .episode-link.active span {
  color: var(--text-color-primary);
}

@media (max-width: 768px) {
  .container-video .episodes-container {
    padding-top: 5px !important;
  }
}

/* actions */
.actions {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}
.actions > * {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-decoration: none;
  color: var(--text-color);
}
.actions > *:hover,
.actions > *:hover button span {
  color: var(--text-color-primary);
  transition: var(--tran-03);
}
.actions a.likes-container.active,
.actions a.dislikes-container.active {
  color: var(--primary-color) !important;
}

.actions .resolutions button {
  background-color: transparent;
  border: none;
  color: var(--text-color);
  padding: 0px !important;
  margin: 0px !important;
}
.actions .resolutions .dropdown-item:active {
  background-color: var(--primary-color);
  color: var(--text-color-light);
}

.description > * {
  color: var(--text-color) !important;
}

#shareModal .modal-body #input-box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: 1px solid var(--src-border-color);
  border-radius: 0px 20px 0px 20px;
  padding: 10px 15px;
  gap: 20px;
}
#shareModal .modal-body #input-box input {
  border: none;
  outline: none;
  width: 100%;
  background: transparent;
  color: var(--text-color-light);
}


/* comments */
.container-video .comments {
  display: flex;
  flex-direction: column;
}
.container-video .comments .add-comment,
.your-comment {
  display: flex;
  align-items: center;
}
.container-video .user-profile,
.modal .modal-body .user-profile {
  width: 45px;
  height: 45px;
  border-radius: 50%;
  overflow: hidden;
}
.container-video .user-profile img,
.modal .modal-body .user-profile img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
@media (width: 320px) {
  .container-video .user-profile,
  .modal .modal-body .user-profile {
    width: 40px;
    height: 40px;
  }
}

.modal .modal-body .comment-content {
  padding: 30px 20px 20px 20px;
  background-color: var(--card-hover) !important;
}

.modal-body form select {
  background-color: transparent;
  border: 1px solid var(--src-border-color);
  border-radius: 10px;
  color: var(--text-color-light);
}
.modal-body form select:focus {
  border-color: var(--primary-color);
  box-shadow: none !important;
}
.modal-body form select > * {
  background-color: var(--card-color);
}


.comment-box {
  margin-left: 60px;
}
.comment-box textarea,
.comment-box textarea:focus {
  background-color: var(--card-color);
  color: var(--text-color-light);
  border-radius: 1px 10px 10px 10px;
  border: none;
  box-shadow: none;
  padding: 10px 10px;
  width: 100%;
}
textarea::placeholder {
  color: var(--text-color) !important;
}
textarea {
  width: 100% !important;
}

.comments .comment-container .comment-content::after,
.replay-container .comment-content .user-comment::after {
  content: '';
  height: 1px;
  width: 100%;
  background-color: var(--text-color);
  opacity: .5;
}

.user-comment h6 {
  max-height: 300px !important;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.user-comment h6.active {
  max-height: 100% !important;
  -webkit-line-clamp: none !important;
}

.report-comment {
  cursor: pointer;
}
.report-comment:hover {
  color: var(--primary-color);
}

/* replay */
.replay-comment {
  display: none;
}
/* replay End */



@media (max-width: 768px) {
  .video .navbar {
    display: none !important;
  }
  .container-video {
    padding: 0px !important;
  }
  .container-video .back {
    padding: 5px 0px 0px 15px;
  }
  .container-video .col:nth-child(2) {
    padding: 0px 20px 10px 20px;
    height: 100svh;
  }

  .container-video .episodes-container {
    padding-left: 0px !important;
  }

  .replay-container {
    padding: 0px 20px;
    width: 100%;
    top: 55px;
  }
  .replay-container > * {
    padding: 0px;
    margin-left: 0px;
  }
  .other-comment {
    padding-bottom: 120px;
  }
}
/* Video End */




/* Back to Top */
.icon-back-to-top {
  position: fixed;
  height: 50px;
  width: 50px;
  background: var(--card-color);
  bottom: 20px;
  right: 20px;
  text-decoration: none;
  text-align: center;
  line-height: 65px;
  border-radius: 10px;
  pointer-events: none;
  transition: all .4s;
  opacity: 0;
}
.icon-back-to-top.active {
  pointer-events: auto;
  opacity: 1;
}
.icon-back-to-top i {
  color: var(--primary-color);
}

@media (max-width: 768px) {
  .icon-back-to-top {
    bottom: 90px;
  }
}
@media (max-width: 360px) {
  .icon-back-to-top {
    width: 40px;
    height: 40px;
    bottom: 70px;
    line-height: 45px;
  }
  .icon-back-to-top i {
    font-size: 20px;
  }
}
/* Back to Top End */





/* Responsif dan Tampilan pada Handphone */
@media (max-width: 768px) {
  * {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
  }
  .sidebar {
    display: none;
  }
  section.video {
    display: contents;
  }
  section.video .navbar {
    position: fixed;
    width: 100%;
  }
}
/* Responsif dan Tampilan pada Handphone End */



/* Text */
.btn-primary {
  background-color: var(--primary-color) !important;
  border: none !important;
}
.text-primary {
  color: var(--text-color-primary) !important;
}
.text-color {
  color: var(--text-color);
}
.text-color-primary {
  color: var(--text-color-primary);
}
.text-light {
  color: var(--text-color-light) !important;
}



h3.text-size {
  font-size: clamp(20px, 2.5vw, 25px);
}
h4.text-size {
  font-size: clamp(17px, 2.5vw, 20px);
}
h5.text-size {
  font-size: clamp(15px, 2.5vw, 18px);
}
h6.text-size {
  font-size: clamp(13px, 2.5vw, 17px);
}

.comments h6 {
  font-size: clamp(13px, 2.5vw, 17px);
  font-weight: 400;
  line-height: 1.6em !important;
}
.comments h6 {
  opacity: 0.9;
}

span.text-size,
p.text-size {
  font-size: clamp(10px, 2.5vw, 15px);
}

.nav-pills .nav-item .text-size {
  font-size: clamp(10px, 2.5vw, 15px);
}

.card-body figure figcaption {
  font-size: clamp(20px, 2.5vw, 25px);
}
table tr td.text-size {
  font-size: clamp(13px, 2.5vw, 15px);
}
/* Text End */



.sinopsis-container {
  max-height: 150px;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.sinopsis-container.open {
  max-height: none !important;
  -webkit-line-clamp: none !important;
}
.sinopsis-container+button {
  margin-top: 20px !important;
}
.sinopsis-container.open+button {
  margin-top: 0px !important;
}
